import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/login',
      name: 'login',
      component: ()=>import('./views/login.vue'),
      meta:{title:'登录'}
    },
    {
      path: '/',
      name: 'logindd',
      component: ()=>import('./views/logindd.vue'),
      meta:{title:'登录'}
    },
    {
      path: '/main',
      name: 'main',
      component: () => import('./views/main.vue'),
      children:[
        {
          path:'/yiban',
          name:'yiban',
          component:()=>import('./components/yiban.vue'),
          meta:{title:'已办合同'}
        },
        {
          path:'/zaiban',
          name:'zaiban',
          component:()=>import('./components/zaiban.vue'),
          meta:{title:'在办合同'}
        },
        {
          path:'/',
          name:'daiban',
          component:()=>import('./components/daiban.vue'),
          meta:{title:'待办合同'}
        },
       
      ],
    },
    {
      path:'/detauils',
      name:'detauils',
      component:()=>import('./components/detauils.vue'),
      meta:{title:'待办明细'}
    },
    {
      path:'/zaibandetauils',
      name:'zaibandetauils',
      component:()=>import('./components/zaibandetauils.vue'),
      meta:{title:'跳转'}
    },
    {
      path:'/send',
      name:'send',
      component:()=>import('./components/send.vue'),
      meta:{title:'发送合同'}
    },
    {
      path:'/continue',
      name:'continue',
      component:()=>import('./components/continue.vue'),
      meta:{title:'退回合同'}
    },
    {
      path:'/finishVisible',
      name:'finishVisible',
      component:()=>import('./components/finishVisible.vue'),
      meta:{title:'结束合同'}
    },
    {
      path:'/taskFinishVisible',
      name:'taskFinishVisible',
      component:()=>import('./components/taskFinishVisible.vue'),
      meta:{title:'完成'}
    },
    {
      path:'/system',
      name:'system',
      component:()=>import('./components/system.vue'),
      meta:{title:'系统设置'}
    },
    {
      path:'/reception',
      name:'reception',
      component:()=>import('./components/reception.vue'),
      meta:{title:' '}
    },
  ]
})
